import React from 'react';
export declare const SVG_PARTS: Array<string>;
export interface PartsGroups {
    head: {
        head: boolean;
    };
    trunk: {
        leftShoulder: boolean;
        rightShoulder: boolean;
        leftArm: boolean;
        rightArm: boolean;
        chest: boolean;
        stomach: boolean;
    };
    legs: {
        leftLeg: boolean;
        rightLeg: boolean;
    };
    hands: {
        rightHand: boolean;
        leftHand: boolean;
    };
    foots: {
        leftFoot: boolean;
        rightFoot: boolean;
    };
}
export interface PartsInput {
    head: PartSelect;
    leftShoulder: PartSelect;
    rightShoulder: PartSelect;
    leftArm: PartSelect;
    rightArm: PartSelect;
    chest: PartSelect;
    stomach: PartSelect;
    leftLeg: PartSelect;
    rightLeg: PartSelect;
    rightHand: PartSelect;
    leftHand: PartSelect;
    leftFoot: PartSelect;
    rightFoot: PartSelect;
}
export interface PartsModel {
    head?: JSX.Element;
    neck?: JSX.Element;
    leftShoulder?: JSX.Element;
    rightShoulder?: JSX.Element;
    leftArm?: JSX.Element;
    rightArm?: JSX.Element;
    chest?: JSX.Element;
    stomach?: JSX.Element;
    leftLeg?: JSX.Element;
    rightLeg?: JSX.Element;
    rightHand?: JSX.Element;
    leftHand?: JSX.Element;
    leftFoot?: JSX.Element;
    rightFoot?: JSX.Element;
}
export interface BodyComponentProps {
    onClick?: Function;
    onChange?: Function;
    partsInput?: PartsInput;
    bodyModel?: string;
}
export interface PartSelect {
    selected?: boolean;
    show?: boolean;
}
export declare const BodyComponent: React.FC<BodyComponentProps>;
